summaryrefslogtreecommitdiff
path: root/test/name-test/run-test.sh
diff options
context:
space:
mode:
authorColin Walters <walters@verbum.org>2009-12-14 18:12:24 -0500
committerColin Walters <walters@verbum.org>2010-01-28 17:01:24 -0500
commitb7e77c6b035f634f372c1749e61c14bde18b5d95 (patch)
tree2e7cc5c81b41e3b287bdd53e3b37dc7cd1d6104b /test/name-test/run-test.sh
parenta8e620a0ff60eef983a9be95e2b27dbcdcbaf654 (diff)
downloaddbus-b7e77c6b035f634f372c1749e61c14bde18b5d95.tar.gz
Ignore exit code zero from activated services
A variety of system components have migrated from legacy init into DBus service activation. Many of these system components "daemonize", which involves forking. The DBus activation system treated an exit as an activation failure, assuming that the child process which grabbed the DBus name didn't run first. While we're in here, also differentiate in this code path between the servicehelper (system) versus direct activation (session) paths. In the session activation path our error message mentioned a helper process which was confusing, since none was involved. Based on a patch and debugging research from Ray Strode <rstrode@redhat.com>
Diffstat (limited to 'test/name-test/run-test.sh')
-rwxr-xr-xtest/name-test/run-test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
index fba45584..4eb24252 100755
--- a/test/name-test/run-test.sh
+++ b/test/name-test/run-test.sh
@@ -50,3 +50,9 @@ ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-
echo "running test-shutdown"
${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-shutdown || die "test-shutdown failed"
+
+echo "running test activation forking"
+if ! python $DBUS_TOP_SRCDIR/test/name-test/test-activation-forking.py; then
+ echo "Failed test-activation-forking"
+ exit 1
+fi